Foxit PDF RDK

Public Member Functions | Public Attributes | List of all members
IdentityProperties Class Reference
Inheritance diagram for IdentityProperties:

## Public Member Functions
| constructor ()
| Constructor.
| constructor (corporation, email, login_name, name, first_name, last_name, title, department)
| Constructor, with parameters. More...
| Set (corporation, email, login_name, name, first_name, last_name, title, department)
| Set values. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Public Attributes
| corporation
| The corporation name.
| department
| The department name.
| email
| The email address.
| first_name
| The user first name.
| last_name
| The user last name.
| login_name
| The login name. Usually, this is the name used to log in current operating system.
| name
| The user name.
| title
| The user title.

## Detailed Description

This class represents identity properties of current user, and is used for callback function ActionCallback.GetIdentityProperties.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ constructor()

IdentityProperties.constructor | ( | corporation | ,
|  | email | ,
|  | login_name | ,
|  | name | ,
|  | first_name | ,
|  | last_name | ,
|  | title | ,
|  | department |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | corporation | The corporation name.
  [in] | email | The email address.
  [in] | login_name | The login name. Usually, this is the name used to log in current operating system.
  [in] | name | The user name.
  [in] | first_name | The user first name.
  [in] | last_name | The user last name.
  [in] | title | The user title.
  [in] | department | The department name.

## ◆ Set()

IdentityProperties.Set | ( | corporation | ,
|  | email | ,
|  | login_name | ,
|  | name | ,
|  | first_name | ,
|  | last_name | ,
|  | title | ,
|  | department |
| ) |  |

Set values.

Parameters

  [in] | corporation | The corporation name.
  [in] | email | The email address.
  [in] | login_name | The login name. Usually, this is the name used to log in current operating system.
  [in] | name | The user name.
  [in] | first_name | The user first name.
  [in] | last_name | The uesr last name.
  [in] | title | The user title.
  [in] | department | The department name.

Returns
  None.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.